MKFS.MINIX(8)

BEZEICHNUNG
mkfs.minix - ein Minix-Dateisystem erstellen

ÜBERSICHT
mkfs.minix [Optionen] Gerät [Größe-in-Blöcken]

BESCHREIBUNG
mkfs.minix erstellt ein Linux-MINIX-Dateisystem auf einem Gerät (üblicherweise einer Laufwerkspartition). Das Gerät hat für gewöhnlich die folgende Form:
    /dev/hda[1–8] (IDE-Platte 1)
    /dev/hdb[1–8] (IDE-Platte 2)
    /dev/sda[1–8] (SCSI-Platte 1)
    /dev/sdb[1–8] (SCSI-Platte 2)
Das Gerät kann ein blockorientiertes Gerät oder eine Abbilddatei davon sein, aber das ist nicht zwingend erforderlich. Doch erwarten Sie nicht zu viel von einem zeichenorientierten Gerät :-).

Der Parameter Größe_in_Blöcken ist die gewünschte Größe des Dateisystems in Blöcken. Dies ist nur aus Gründen der Abwärtskompatibilität vorhanden. Falls nicht angegeben, wird die Größe automatisch ermittelt. Es sind nur Blockanzahlen unbedingt größer als 10 und kleiner als 65536 erlaubt.

OPTIONEN

-c, --check
    überprüft das Gerät auf fehlerhafte Blöcke, bevor das Dateisystem erstellt wird. Falls welche gefunden werden, wird deren Anzahl ausgegeben.

-n, --namelength Länge
    gibt die maximal zulässige Länge für Dateinamen an. Gegenwärtig sind nur 14 und 30 für die Dateisystemversionen 1 und 2 als Werte zulässig. Version 3 erlaubt lediglich den Wert 60. Der voreingestellte Wert ist 30.

-i, --inodes Zahl
    gibt die Anzahl der Inodes für das Dateisystem an.

-l, --badblocks Dateiname
    liest die Liste der fehlerhaften Blöcke aus Dateiname. Die Datei muss pro Zeile eine Nummer eines fehlerhaften Blocks enthalten. Die Anzahl der gelesenen fehlerhaften Blöcke wird ausgegeben.

-1  erstellt ein Minix-Dateisystem der Version 1. Dies ist die Voreinstellung.

-2, -v
    erstellt ein Minix-Dateisystem der Version 2.

-3  erstellt ein Minix-Dateisystem der Version 3.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm. Die Langform dieser Option kann nicht mit anderen Optionen kombiniert werden.

-h, --help
    zeigt diese Hilfe an und beendet das Programm.

EXIT-CODES
mkfs.minix gibt einen der folgenden Exit-Codes zurück:

0   Keine Fehler

8   Betriebsfehler

16  Aufruf- oder Syntaxfehler

SIEHE AUCH
fsck(8), mkfs(8), reboot(8)

VERFÜGBARKEIT
Der Befehl mkfs.minix ist Teil des Pakets util-linux und kann von https://www.kernel.org/pub/linux/utils/util-linux/ heruntergeladen werden.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.